CEL: Crystal Entity Layer: iPcMechanicsSteering Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMechanicsSteering Struct Reference

Property class representing a steering mechanism that affects forces on the attached object, dependent on the forward velocity of the object. More...

`#include <propclass/mechsteer.h>`

List of all members.

## Public Member Functions
virtual percentage | GetAngle ()=0
| Get the angle of the steering mechanism.
virtual const csVector3 | GetAxis ()=0
| Get the axis of rotation for this steering mechanism.
virtual const char * | GetID ()=0
| Get this thruster's identifier.
virtual float | GetMaxAngle ()=0
| Get the maximum angle of the steering mechanism.
virtual float | GetMaxTurnSpeed ()=0
| Get the maximum turning speed this steering mechanism.
virtual iPcMechanicsObject * | GetMechanicsObject ()=0
| Get the associated mechanics object.
virtual const csVector3 | GetPosition ()=0
| Get the position of this steering mechanism.
virtual void | SetAngle (percentage angle)=0
| Set the angle of the steering mechanism.
virtual void | SetAxis (const csVector3 axis)=0
| Set the axis of rotation for this steering mechanism.
virtual void | SetID (const char *id)=0
| Set this thruster's identifier.
virtual void | SetMaxAngle (float maxangle)=0
| Set the maximum angle of the steering mechanism.
virtual void | SetMaxTurnSpeed (float maxspeed)=0
| Set the maximum turning speed of this steering mechanism.
virtual void | SetMechanicsObject (iPcMechanicsObject *mechsys)=0
| Set the mechanics object to affect.
virtual void | SetPosition (const csVector3 position)=0
| Set the position of this steering mechanism.
virtual void | Turn (percentage speed=0.0)=0
| Turn the steering mechanism.
virtual void | TurnTo (percentage angle, percentage speed=1.0)=0
| Turn the steering mechanism to the given angle percentage.

## Detailed Description

Property class representing a steering mechanism that affects forces on the attached object, dependent on the forward velocity of the object.

Definition at line 37 of file mechsteer.h.

## Member Function Documentation

virtual percentage iPcMechanicsSteering::GetAngle | ( |  | ) | `[pure virtual]`

| Get the angle of the steering mechanism.

virtual const csVector3 iPcMechanicsSteering::GetAxis | ( |  | ) | `[pure virtual]`

| Get the axis of rotation for this steering mechanism.

virtual const char* iPcMechanicsSteering::GetID | ( |  | ) | `[pure virtual]`

| Get this thruster's identifier.

virtual float iPcMechanicsSteering::GetMaxAngle | ( |  | ) | `[pure virtual]`

| Get the maximum angle of the steering mechanism.

virtual float iPcMechanicsSteering::GetMaxTurnSpeed | ( |  | ) | `[pure virtual]`

| Get the maximum turning speed this steering mechanism.

virtual iPcMechanicsObject* iPcMechanicsSteering::GetMechanicsObject | ( |  | ) | `[pure virtual]`

| Get the associated mechanics object.

virtual const csVector3 iPcMechanicsSteering::GetPosition | ( |  | ) | `[pure virtual]`

| Get the position of this steering mechanism.

virtual void iPcMechanicsSteering::SetAngle | ( | percentage | angle | ) | `[pure virtual]`

| Set the angle of the steering mechanism.

virtual void iPcMechanicsSteering::SetAxis | ( | const csVector3 | axis | ) | `[pure virtual]`

| Set the axis of rotation for this steering mechanism.

virtual void iPcMechanicsSteering::SetID | ( | const char * | id | ) | `[pure virtual]`

| Set this thruster's identifier.

virtual void iPcMechanicsSteering::SetMaxAngle | ( | float | maxangle | ) | `[pure virtual]`

| Set the maximum angle of the steering mechanism.

virtual void iPcMechanicsSteering::SetMaxTurnSpeed | ( | float | maxspeed | ) | `[pure virtual]`

| Set the maximum turning speed of this steering mechanism.

virtual void iPcMechanicsSteering::SetMechanicsObject | ( | iPcMechanicsObject * | mechsys | ) | `[pure virtual]`

| Set the mechanics object to affect. This is required.

virtual void iPcMechanicsSteering::SetPosition | ( | const csVector3 | position | ) | `[pure virtual]`

| Set the position of this steering mechanism.

virtual void iPcMechanicsSteering::Turn | ( | percentage | speed = `0.0` | ) | `[pure virtual]`

| Turn the steering mechanism. (speed from -1.0 to 1.0, negative means clockwise.)

virtual void iPcMechanicsSteering::TurnTo | ( | percentage | angle,
|  | percentage | speed = `1.0`
| ) | `[pure virtual]`

| Turn the steering mechanism to the given angle percentage.

The documentation for this struct was generated from the following file:

- propclass/mechsteer.h